Create WellSky insurance
curl --request POST \
--url https://api.example.com/api/v2/integrations/wellsky/{slug}/insurances \
--header 'Content-Type: application/json' \
--data '
{
"WSCLV6": 123,
"WSCNUM": 123,
"INSINFO": {
"MKISDT": 123,
"MKITDT": 123,
"MKIUBC": 123,
"MKIPLN": 123,
"MKIRNK": 123,
"MKISNM": "<string>",
"MKIRLC": "<string>",
"MKISSN": "<string>",
"MKISBD": 123,
"MKIDLT": 0,
"MKISSX": "<string>",
"MKIRSC": "<string>",
"MKIPLY": "<string>",
"MKIPLYNEW": "",
"MKIGRP": "<string>",
"MKIGNM": "<string>",
"MKICIP": 0,
"MKIMXC": 123,
"MKIDED": 123,
"MKIDAM": 123,
"MKIOOP": 123,
"MKIOPA": 123,
"MKILIN": 0,
"MKIFDY": 123,
"MKICD2": 123,
"MKIMLP": 123,
"MKIQPN": 123,
"MKIDLF": 123,
"MKITAL": 123,
"SHOWSKILL": "N",
"MKITRA": "<string>",
"MKIPSV": "<string>",
"MKICMT": "<string>",
"MKISNF": "<string>",
"MKIHBN": "<string>",
"MKIHCO": "<string>",
"MKIMBN": "<string>",
"NEWADDRL1": "<string>",
"NEWADDRL2": "<string>",
"NEWADDRCTY": "<string>",
"NEWADDRST": "<string>",
"NEWADDRZIP": "<string>"
},
"WSOPTN": "C",
"WRNFLAG": "",
"INSCMTINFO": [],
"INSCMTCT": 0
}
'import requests
url = "https://api.example.com/api/v2/integrations/wellsky/{slug}/insurances"
payload = {
"WSCLV6": 123,
"WSCNUM": 123,
"INSINFO": {
"MKISDT": 123,
"MKITDT": 123,
"MKIUBC": 123,
"MKIPLN": 123,
"MKIRNK": 123,
"MKISNM": "<string>",
"MKIRLC": "<string>",
"MKISSN": "<string>",
"MKISBD": 123,
"MKIDLT": 0,
"MKISSX": "<string>",
"MKIRSC": "<string>",
"MKIPLY": "<string>",
"MKIPLYNEW": "",
"MKIGRP": "<string>",
"MKIGNM": "<string>",
"MKICIP": 0,
"MKIMXC": 123,
"MKIDED": 123,
"MKIDAM": 123,
"MKIOOP": 123,
"MKIOPA": 123,
"MKILIN": 0,
"MKIFDY": 123,
"MKICD2": 123,
"MKIMLP": 123,
"MKIQPN": 123,
"MKIDLF": 123,
"MKITAL": 123,
"SHOWSKILL": "N",
"MKITRA": "<string>",
"MKIPSV": "<string>",
"MKICMT": "<string>",
"MKISNF": "<string>",
"MKIHBN": "<string>",
"MKIHCO": "<string>",
"MKIMBN": "<string>",
"NEWADDRL1": "<string>",
"NEWADDRL2": "<string>",
"NEWADDRCTY": "<string>",
"NEWADDRST": "<string>",
"NEWADDRZIP": "<string>"
},
"WSOPTN": "C",
"WRNFLAG": "",
"INSCMTINFO": [],
"INSCMTCT": 0
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
WSCLV6: 123,
WSCNUM: 123,
INSINFO: {
MKISDT: 123,
MKITDT: 123,
MKIUBC: 123,
MKIPLN: 123,
MKIRNK: 123,
MKISNM: '<string>',
MKIRLC: '<string>',
MKISSN: '<string>',
MKISBD: 123,
MKIDLT: 0,
MKISSX: '<string>',
MKIRSC: '<string>',
MKIPLY: '<string>',
MKIPLYNEW: '',
MKIGRP: '<string>',
MKIGNM: '<string>',
MKICIP: 0,
MKIMXC: 123,
MKIDED: 123,
MKIDAM: 123,
MKIOOP: 123,
MKIOPA: 123,
MKILIN: 0,
MKIFDY: 123,
MKICD2: 123,
MKIMLP: 123,
MKIQPN: 123,
MKIDLF: 123,
MKITAL: 123,
SHOWSKILL: 'N',
MKITRA: '<string>',
MKIPSV: '<string>',
MKICMT: '<string>',
MKISNF: '<string>',
MKIHBN: '<string>',
MKIHCO: '<string>',
MKIMBN: '<string>',
NEWADDRL1: '<string>',
NEWADDRL2: '<string>',
NEWADDRCTY: '<string>',
NEWADDRST: '<string>',
NEWADDRZIP: '<string>'
},
WSOPTN: 'C',
WRNFLAG: '',
INSCMTINFO: [],
INSCMTCT: 0
})
};
fetch('https://api.example.com/api/v2/integrations/wellsky/{slug}/insurances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"details": {}
}{
"error": "<string>"
}{
"error": "<string>"
}Integration - WellSky
Create WellSky insurance
Create or update insurance information for a patient in WellSky.
POST
/
api
/
v2
/
integrations
/
wellsky
/
{slug}
/
insurances
Create WellSky insurance
Path Parameters
The slug of the WellSky connection.
Body
application/json
Level 6 identifier (facility/location code)
Contact number (patient/client ID)
Insurance information
Show child attributes
Show child attributes
Operation type (C=Create, U=Update, D=Delete)
Warning flag
Insurance comments
Insurance comment count
Response
Default Response
⌘I